import { StorageManager } from "@syntest/storage";
import { RootContext } from "@syntest/analysis-javascript";
export declare class StateStorage {
    private storageManager;
    private storagePath;
    constructor(storageManager: StorageManager, storagePath: string);
    exportExtractionComplete(rootContext: RootContext, filepath: string): void;
    elementExtractionComplete(rootContext: RootContext, filepath: string): void;
    relationExtractionComplete(rootContext: RootContext, filepath: string): void;
    objectTypeExtractionComplete(rootContext: RootContext, filepath: string): void;
    typeResolvingComplete(rootContext: RootContext): void;
    save(data: string, filepath: string, type: "exports.json" | "elements.json" | "relations.json" | "objects.json"): void;
    private typeModelToGraphFormat;
}
//# sourceMappingURL=StateStorage.d.ts.map